rm(list=ls())
library(genoPlotR)


home<-"<your_directory>"
todo <- paste0(home,"/table_S4.txt") # taxonomy, like Table S4

#-> per genome the input table <home/genome.R.txt>

taxonomy <- read.table(todo,  header = FALSE,stringsAsFactors = FALSE)
names(taxonomy)<-c("genome", "taxID", "domain", "phylum", "class", "order", "family", "strain", "date", "assembly_level", "ftp_path") 
max<-dim(taxonomy)[1]
c<-0

pdffile <- paste0(home,"plot.pdf")

pdf(file = pdffile, onefile=TRUE, paper = "a4r", width = 190, height=270, compress=FALSE)#210 mm × 297,A3 297 × 420
step<-6



for(i in seq(0, max, step)){

  lables<-list()
  dna_segs<-list()
  if(i+step>max){
    step<-max-i
  }
  for(j in seq(1,step,1)){
    k<-i+j
    genome <- taxonomy$genome[k]
    
    org <- paste0(home,genome,".R.txt")
    
    print(org)
    a<-try(read_dna_seg_from_tab(org, header = TRUE))
    tax <- paste(genome,taxonomy$phylum[k],taxonomy$class[k],taxonomy$order[k],taxonomy$family[k],taxonomy$strain[k], sep="\n")
    a$col<-"gray"
    print(tax)
    lables[[j]] <- tax
    dna_segs[[j]]<- a
  }
  
  annots <- lapply(dna_segs, function(x){
    mid <- middle(x)
    annot <- annotation(x1=mid, text=x$name, rot=45)
  })
  dna_seg_labels<-lables
  plot_gene_map(dna_segs, dna_seg_labels=lables, annotations=annots, annotation_height=0.2, annotation_cex=0.3, dna_seg_label_cex=0.3, dna_seg_scale=FALSE, scale=F, main=" ")
  
}

dev.off()


